# W32_Allocator.hxx File Reference

`#include <windows.h>`

## Defines

#define | __W32_DATA -1
#define | EPS 0.005F
#define | W32F_TOUTLINE 0x00000001
#define | W32F_TUNICODE 0x00000002
#define | W32F_TINDEX 0x00000004
#define | W32F_TFREE 0x00000008
#define | W32F_TFULINED 0x00000010
#define | W32F_EMPTY 0x00000001
#define | W32F_DRAWN 0x00000002
#define | W32F_XFORM 0x00000004
#define | W32F_MONO 0x00000008
#define | W32F_DBUFF 0x00000010
#define | W32F_START 0x00000020
#define | W32F_WIN95 0x00000040
#define | W32F_DVDRV 0x00000080
#define | W32F_TULIN 0x00000100
#define | W32F_MINIT 0x00000200
#define | W32F_NOFIL 0x00000400
#define | W32F_MFILL 0x80000000
#define | W32F_MOUTL 0x40000000
#define | W32F_POUTL 0x20000000
#define | W32F_DFONT 0x10000000
#define | OCC5415
#define | P(v) LONG( ( v ) / myPixelToUnit + 0.5 )
#define | U(v) ( ( v ) * myPixelToUnit )

## Typedefs

typedef _W32_Block | W32_Block
typedef _W32_Block * | PW32_Block
typedef _W32_bitmap | W32_Bitmap
typedef _W32_bitmap * | PW32_Bitmap
typedef _W32_FCallParam | W32_FCALLPARAM
typedef _W32_FCallParam * | PW32_FCALLPARAM
typedef int void *typedef | void (__cdecl *W32_FCall)(PW32_FCALLPARAM)

## Enumerations

enum | W32_Primitive { zzNone, zzPoint, zzLine, zzPolyRect, zzRect, zzPolyEllipse, zzRoundRect, zzPolyRoundRect, zzArc, zzChord, zzPolyChord, zzSector, zzPolySector, zzPolygon, zzPolyline, zzLinkedPolyline, zzBezier, zzText, zzPolyText, zzMarker }

## Functions

typedef | void (WINAPI *GetPointFunc)(int

## Variables

typedef W32_Allocator * | PW32_Allocator
typedef | int
typedef | LPPOINT
PW32_Allocator(* | W32_GetAllocator )(int, PW32_Allocator)

## Define Documentation

#define __W32_DATA -1

#define EPS 0.005F

#define OCC5415

#define P | ( | v |  | ) | LONG( ( v ) / myPixelToUnit + 0.5 )

#define U | ( | v |  | ) | ( ( v ) * myPixelToUnit )

#define W32F_DBUFF 0x00000010

#define W32F_DFONT 0x10000000

#define W32F_DRAWN 0x00000002

#define W32F_DVDRV 0x00000080

#define W32F_EMPTY 0x00000001

#define W32F_MFILL 0x80000000

#define W32F_MINIT 0x00000200

#define W32F_MONO 0x00000008

#define W32F_MOUTL 0x40000000

#define W32F_NOFIL 0x00000400

#define W32F_POUTL 0x20000000

#define W32F_START 0x00000020

#define W32F_TFREE 0x00000008

#define W32F_TFULINED 0x00000010

#define W32F_TINDEX 0x00000004

#define W32F_TOUTLINE 0x00000001

#define W32F_TULIN 0x00000100

#define W32F_TUNICODE 0x00000002

#define W32F_WIN95 0x00000040

#define W32F_XFORM 0x00000004

## Typedef Documentation

typedef struct _W32_bitmap * PW32_Bitmap

typedef struct _W32_Block * PW32_Block

typedef struct _W32_FCallParam * PW32_FCALLPARAM

typedef int void* typedef void(__cdecl *W32_FCall)(PW32_FCALLPARAM)

typedef struct _W32_bitmap W32_Bitmap

typedef struct _W32_Block W32_Block

typedef struct _W32_FCallParam W32_FCALLPARAM

## Enumeration Type Documentation

enum W32_Primitive

Enumeration values:

  zzNone |
  zzPoint |
  zzLine |
  zzPolyRect |
  zzRect |
  zzPolyEllipse |
  zzRoundRect |
  zzPolyRoundRect |
  zzArc |
  zzChord |
  zzPolyChord |
  zzSector |
  zzPolySector |
  zzPolygon |
  zzPolyline |
  zzLinkedPolyline |
  zzBezier |
  zzText |
  zzPolyText |
  zzMarker |

## Function Documentation

typedef void | ( | WINAPI * | GetPointFunc | ) |

## Variable Documentation

typedef int

typedef LPPOINT

struct typedef W32_Allocator* PW32_Allocator

PW32_Allocator( * W32_GetAllocator)(int, PW32_Allocator)